Name:           perl-Lingua-EN-Tagger
Version:        0.24
Release:        1%{?dist}
Summary:        Part-of-speech tagger for English natural language processing
License:        GPLv3
URL:            http://search.cpan.org/dist/Lingua-EN-Tagger/
Source0:        http://www.cpan.org/authors/id/A/AC/ACOBURN/Lingua-EN-Tagger-%{version}.tar.gz
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec) >= 0.84
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(Storable) >= 2.10
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(Lingua::Stem::En)
BuildRequires:  perl(Memoize) >= 1.01
# Tests only
BuildRequires:  perl(Test::More)
BuildRequires:  perl(threads)
BuildRequires:  perl(threads::shared)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(File::Spec) >= 0.84
Requires:       perl(Memoize) >= 1.01
Requires:       perl(Storable) >= 2.10

# despite being arch-dependent, there are no binaries
# so avoid empty debug package
%global debug_package %{nil}
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude|%__requires_exclude|}^perl\\(File::Spec\\)$
%global __requires_exclude %{?__requires_exclude|%__requires_exclude|}^perl\\(Memoize\\)$
%global __requires_exclude %{?__requires_exclude|%__requires_exclude|}^perl\\(Storable\\)$

%description
The module is a probability based, corpus-trained tagger that assigns POS
tags to English text based on a lookup dictionary and a set of probability
values. The tagger assigns appropriate tags based on conditional
probabilities - it examines the preceding tag to determine the appropriate
tag for the current word. Unknown words are classified according to word
morphology or can be set to be treated as nouns or other parts of speech.

%prep
%setup -q -n Lingua-EN-Tagger-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorarch} NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Fri Nov 21 2014 Petr Šabata <contyk@redhat.com> - 0.24-1
- 0.24 bump

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.23-7
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Petr Pisar <ppisar@redhat.com> - 0.23-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Iain Arnell <iarnell@gmail.com> 0.23-1
- update to latest upstream version

* Sat Jul 21 2012 Iain Arnell <iarnell@gmail.com> 0.20-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 0.19-2
- Perl 5.16 rebuild

* Sat Jun 09 2012 Iain Arnell <iarnell@gmail.com> 0.19-1
- update to latest upstream version

* Sun May 13 2012 Iain Arnell <iarnell@gmail.com> 0.18-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.16-6
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 04 2010 Iain Arnell <iarnell@gmail.com> 0.16-4
- avoid empty debug package

* Wed Nov 03 2010 Iain Arnell <iarnell@gmail.com> 0.16-3
- force architecture dependent installation (installed lexicons are
  arch-dependent)

* Thu Sep 30 2010 Iain Arnell <iarnell@gmail.com> 0.16-2
- license is GPLv3
- tweak buildrequires

* Mon Aug 16 2010 Iain Arnell <iarnell@epo.org> 0.16-1
- Specfile autogenerated by cpanspec 1.78.
